<? if ($i != 5) { ?>
The image created by this script is available
<a href="examples.php?i=5">here</a>.
<hr size="1" width="70%" align="left" noshade>
<? } ?>

<pre>
&lt;?php

/*
 * This example is mostly for playing with color ranges (gradients)
 * and alpha channels.
 */

require './package.Imlib.php';

$red = Array(255,35,35,255);
$blue = Array(35,65,255,255);
$text = Array(200,220,255,255);
$shadow = Array(10,10,10,100);

// Create objects
$im = new ImlibImage;
$cr = new ImlibColorRange;
$d = new ImlibDraw;
$t = new ImlibText;

// Set up objects
$im-&gt;create(250,150);
$cr-&gt;create();
$cr-&gt;set_image($im-&gt;get_id());
$d-&gt;set_image($im-&gt;get_id());
$t-&gt;set_image($im-&gt;get_id());
$t-&gt;load('','banco.ttf','25');

// Large blue rectangle and gradient
$d-&gt;set_color(22,28,235,255);
$d-&gt;fill_rectangle(10,10,210,110);
$cr-&gt;add_color_array(0, $red);
$cr-&gt;add_color(0,0,225,225,255);
$cr-&gt;add_color_array(0, $blue);
$cr-&gt;fill_rectangle(15,15,200,100,125);

// Text with semitransparent shadow
$t-&gt;set_color_array($shadow);
$t-&gt;draw(43,48,'Showing off.');
$t-&gt;set_color_array($text);
$t-&gt;draw(40,45,'Showing off.');

// Purple semitransparent square
$d-&gt;set_color(195,105,195,127);
$d-&gt;fill_rectangle(30,90,50,50);

// Green-to-transparent gradient square
$cr-&gt;free();
$cr-&gt;create();
$cr-&gt;add_color(0,0,255,0,0);
$cr-&gt;add_color(0,0,255,0,50);
$cr-&gt;add_color(0,0,255,0,255);
$cr-&gt;fill_rectangle(90,90,50,50,235);

$im-&gt;save('testdraw.png',50);

?&gt;
</pre>
